org.cybergarage.upnp

## Class AllowedValue

- java.lang.Object
- - org.cybergarage.upnp.AllowedValue

    public class AllowedValue
    extends Object

### Field Summary

Fields
`static String` `ELEM_NAME`

### Constructor Summary

Constructors
Constructor and Description
`AllowedValue(Node node)`

### Method Summary

Methods
`Node` `getAllowedValueNode()`
`String` `getValue()`
`static boolean` `isAllowedValueNode(Node node)`
`void` `setValue(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ELEM_NAME

    public static final String ELEM_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### AllowedValue

    public AllowedValue(Node node)

### Method Detail

#### getAllowedValueNode

    public Node getAllowedValueNode()

#### isAllowedValueNode

    public static boolean isAllowedValueNode(Node node)

#### setValue

    public void setValue(String value)

#### getValue

    public String getValue()